Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine
Class HomeController

    java.lang.Object
      uchicago.src.sim.engine.HomeController

    public class HomeController

extends java.lang.Object

Created by IntelliJ IDEA. User: thowe Date: Feb 13, 2003 Time: 7:49:51 PM To change this template use Options | File Templates.

Field Summary
`protected java.util.ArrayList` | `dynNameList`
`protected boolean` | `finished`
`protected java.lang.String` | `modelClass`
`protected java.util.ArrayList` | `nameList`
`protected java.util.Hashtable` | `nameParam`
`protected java.util.Vector` | `params`

Constructor Summary
`HomeController()` No-arg constructor for Active Object
`HomeController(java.lang.String fileName, java.lang.String modelClass)` create the controller using the parameter file name

Method Summary
`void` | `begin()`
`java.util.ArrayList` | `getDynamicParameterNames()` Gets a list of the Dynamic (non-constant) Parameter names.
`java.util.ArrayList` | `getParameterNames()` Gets a list of the parameter names.
`java.lang.Object` | `getPersistentObj(java.lang.Object key)` Get an object that has been stored between runs
`boolean` | `getPutPersistenceObject(java.lang.Object key, java.lang.Object value)`
`long` | `getRunCount()` Gets the current Tick count
`protected void` | `incrementParameters(Introspector is)`
`long` | `nextModel(Introspector i)` This is the synchronized method that does all of the work for the remote controllers.
`void` | `putPersistentObj(java.lang.Object key, java.lang.Object value)` Put an object that needs to be stored between runs
`void` | `setControllers(RemoteBatchController c)`
`protected void` | `setModelParameters(Introspector i)` Set the parameters in the remote model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dynNameList

    protected java.util.ArrayList dynNameList

### nameParam

    protected java.util.Hashtable nameParam

### params

    protected java.util.Vector params

### finished

    protected boolean finished

### nameList

    protected java.util.ArrayList nameList

### modelClass

    protected java.lang.String modelClass

Constructor Detail

### HomeController

    public HomeController()

  No-arg constructor for Active Object

### HomeController

    public HomeController(java.lang.String fileName,
                          java.lang.String modelClass)

  create the controller using the parameter file name

  Parameters:
    `fileName` -

Method Detail

### setControllers

    public void setControllers(RemoteBatchController c)

### getRunCount

    public long getRunCount()

  Gets the current Tick count

  Returns:

### setModelParameters

    protected void setModelParameters(Introspector i)

  Set the parameters in the remote model. This should only be called from the synchronized nextModel method below

  Parameters:
    `i` - The model introspector used to set the parameters in the model.

### incrementParameters

    protected void incrementParameters(Introspector is)

### getParameterNames

    public java.util.ArrayList getParameterNames()

  Gets a list of the parameter names.

### getDynamicParameterNames

    public java.util.ArrayList getDynamicParameterNames()

  Gets a list of the Dynamic (non-constant) Parameter names.

### nextModel

    public long nextModel(Introspector i)

  This is the synchronized method that does all of the work for the remote controllers. It increments the count and the parameters and uses the Introspector to set the next set of parameters

  Parameters:
    `i` - The remote (Active) introspector used to set the remote model's parameters
  Returns:
    The current tick count

### getPutPersistenceObject

    public boolean getPutPersistenceObject(java.lang.Object key,
                                           java.lang.Object value)

### putPersistentObj

    public void putPersistentObj(java.lang.Object key,
                                 java.lang.Object value)

  Put an object that needs to be stored between runs

  Parameters:
    `key` -
    `value` -

### getPersistentObj

    public java.lang.Object getPersistentObj(java.lang.Object key)

  Get an object that has been stored between runs

  Parameters:
    `key` -
  Returns:

### begin

    public void begin()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD